# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KConfigSkeleton::ItemEnum Class Reference

Class for handling enums. More...

`#include <kconfigskeleton.h>`

Inheritance diagram for KConfigSkeleton::ItemEnum:

[legend]
Collaboration diagram for KConfigSkeleton::ItemEnum:

[legend]
List of all members.

## Public Member Functions

| ItemEnum (const QString &group, const QString &key, int &reference, const QValueList< Choice > &choices, int defaultValue=0)
QValueList< Choice > | choices () const
void | readConfig (KConfig *config)
void | writeConfig (KConfig *config)

## Detailed Description

Class for handling enums.

Definition at line 498 of file kconfigskeleton.h.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:33 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003